#pragma once
#include <map>
struct M_StarLotteryVIPChipEachDayLimitCFGData
{
	//注册天数
	int mCreateDays;
	//当日可获得的话费碎片的最大值
	int mGetMaxChip;
};

class M_StarLotteryVIPChipEachDayLimitCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryVIPChipEachDayLimitCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryVIPChipEachDayLimitCFGData* GetData(int CreateDays);
	const std::map<int, M_StarLotteryVIPChipEachDayLimitCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_StarLotteryVIPChipEachDayLimitCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_StarLotteryVIPChipEachDayLimitCFGData> mMapData;
};
